#coding: utf-8

import psutil
import time

DEFAULT_INTERVAL = 15

def emit(channel, info):
    channel.put(info)


def collect(feed, config=None):
    if not config:
        config = {}

    interval = config.get('interval', DEFAULT_INTERVAL)

    while True:
        cpu_usage = psutil.cpu_percent(percpu=True)

        for ind, percentage in enumerate(cpu_usage):
            emit(feed, ('cpu_{0}.cpu.load.percent'.format(ind), percentage, 'gauge'))

        time.sleep(interval)